Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.domain.event
Interface UIDomainListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  ActionEditorPanel, ActionTreeTableModel, AROEditorPanel, DeclarationEditor, DomainEditorFrame, DomainTreeModel, GlobalFormPanel, GrammarEditorPanel, ObjectClassTreeModel, RefinementTreeModel, ShortActionTreeTableModel, UIGrammar

    public interface UIDomainListener

extends java.util.EventListener

Method Summary
`void` | `constructAdded(DomainEvent event)`
`void` | `constructAdded(UIDomainEvent event)` Called when a UI construct is added.
`void` | `constructEdited(UIDomainEvent event)` Called when a UI construct is edited.
`void` | `constructRemoved(UIDomainEvent event)` Called when a UI construct is removed.
`void` | `domainCleared(UIDomainEvent event)` Called when the domain is cleared.
`void` | `domainEdited(UIDomainEvent event)` Called when the domain's own fields changed (currently only name).
`void` | `domainSet(UIDomainEvent event)` Called when the domain is added.

Method Detail

### constructAdded

    void constructAdded(UIDomainEvent event)

  Called when a UI construct is added. Use getSource() to get at the domain (UI/IX) in which the event occurred. Use getObject() to get at the object (UI/IX) that has been added.

### constructAdded

    void constructAdded(DomainEvent event)

### constructEdited

    void constructEdited(UIDomainEvent event)

  Called when a UI construct is edited. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been edited.

### constructRemoved

    void constructRemoved(UIDomainEvent event)

  Called when a UI construct is removed. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been removed.

### domainEdited

    void domainEdited(UIDomainEvent event)

  Called when the domain's own fields changed (currently only name).

### domainCleared

    void domainCleared(UIDomainEvent event)

  Called when the domain is cleared.

### domainSet

    void domainSet(UIDomainEvent event)

  Called when the domain is added.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD